Kerbal Space Program - Bug #21282

Camera/Black Screen Issue when toggling animation on camera focused, radially attached part.
02/17/2019 09:48 PM - Poodmund

Status: Not a Bug Start date: 02/17/2019
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When you focus/aim your camera at a radially attached part and then toggle an animation on said part i.e. Mystery Goo, the camera

(in flight mode) goes black with the Ul still rendering over the top. You can toggle into Map View but when toggling back to flight
mode, sometimes the camera is still black and other times it resolves itself. You can toggle the animation again to reinstate the
camera issue.

See video for reference: https://youtu.be/CYTIINXAB_U

History

#1 - 02/18/2019 06:22 PM - Anth12

Interesting bug, | cant get it to do the same. Can you attach your settings.cfg?

#2 - 02/18/2019 06:33 PM - Poodmund
- File settings.cfg added

See attached. :)

#3 - 02/19/2019 02:52 AM - Anth12

KSP 1.6.1
Windows 10

| cant get it to the same thing.

Your settings.cfg has a resolution of 2560x1440.

KSP on start forced a change to my monitors HD resolution of 1920x1080

Turning off full screen so KSP could get a resolution of 2560x1440 (via my two monitors) | still couldnt recreate the bug
Looking up monitors that support that resolution Try turning off g-sync if you have it on. lts a extreme guess.

Suggestions:

1. Try turning off g-sync if you have it on your monitor. Your video card that is a NVIDIA GeForce GTX 980 Ti does support it.
2. Try changing between full screen and it being not full screen

3. If you are using multiple screens, try it only on one.

4. Update video drivers

Trying the suggestions is just to help figure out what the issue is so squad can fix it

Maybe someone else will beable to reproduce it like the video you supplied. It looked like an easy thing to reproduce but | couldnt
reproduce it. Sorry.

#4 - 03/24/2020 04:36 PM - Robert.Keech
- Status changed from New to Not a Bug

Unable to reproduce.
Using the settings file provided and following the instructions in the video exactly i have been unable to reproduce the issue.
https://youtu.be/CYTlfNxAB_U

Files

KSP.log 346 KB 02/17/2019 Poodmund
settings.cfg 31.3KB 02/18/2019 Poodmund
